.TH OCIOLUTIMAGE "1" "August 2022" "ociolutimage -- Convert a 3D LUT to or from an image" "User Commands"
.SH NAME
ociolutimage \- convert a 3D LUT to or from an image
.SH DESCRIPTION
ociolutimage \fB\-\-\fR Convert a 3D LUT to or from an image
.PP
usage:  ociolutimage [options] <OUTPUTFILE.LUT>
.PP
example:  ociolutimage \fB\-\-generate\fR \fB\-\-output\fR lut.exr
example:  ociolutimage \fB\-\-extract\fR \fB\-\-input\fR lut.exr \fB\-\-output\fR output.spi3d
.TP
\fB\-\-generate\fR
Generate a lattice image
.TP
\fB\-\-extract\fR
Extract a 3D LUT from an input image
.TP
\fB\-\-cubesize\fR %d
Size of the cube (default: 32)
.TP
\fB\-\-maxwidth\fR %d
Specify maximum width of the image (default: 2048)
.TP
\fB\-\-input\fR %s
Specify the input filename
.TP
\fB\-\-output\fR %s
Specify the output filename
.TP
\fB\-\-config\fR %s
\&.ocio configuration file (default: $OCIO)
.TP
\fB\-\-colorconvert\fR %s %s
Apply a color space conversion to the image.
.PP
ociolutimage \fB\-\-\fR Convert a 3D LUT to or from an image
.PP
usage:  ociolutimage [options] <OUTPUTFILE.LUT>
.PP
example:  ociolutimage \fB\-\-generate\fR \fB\-\-output\fR lut.exr
example:  ociolutimage \fB\-\-extract\fR \fB\-\-input\fR lut.exr \fB\-\-output\fR output.spi3d
.TP
\fB\-\-generate\fR
Generate a lattice image
.TP
\fB\-\-extract\fR
Extract a 3D LUT from an input image
.TP
\fB\-\-cubesize\fR %d
Size of the cube (default: 32)
.TP
\fB\-\-maxwidth\fR %d
Specify maximum width of the image (default: 2048)
.TP
\fB\-\-input\fR %s
Specify the input filename
.TP
\fB\-\-output\fR %s
Specify the output filename
.TP
\fB\-\-config\fR %s
\&.ocio configuration file (default: $OCIO)
.TP
\fB\-\-colorconvert\fR %s %s
Apply a color space conversion to the image.
.SH "SEE ALSO"
The full documentation for
.B Invalid
is maintained as a Texinfo manual.  If the
.B info
and
.B Invalid
programs are properly installed at your site, the command
.IP
.B info Invalid
.PP
should give you access to the complete manual.
